Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.builder
Interface ViewFactoryCreator

All Known Implementing Classes:
  JsfViewFactoryCreator, MvcViewFactoryCreator

    public interface ViewFactoryCreator

A factory for ViewFactory objects. This is an SPI interface and conceals specific types of view factories from the flow builder infrastructure.

Method Summary
`ViewFactory` | `createViewFactory(Expression viewId, ExpressionParser expressionParser, ConversionService conversionService, BinderConfiguration binderConfiguration, org.springframework.validation.Validator validator)` Create a view factory capable of creating `View` objects that can render the view template with the provided identifier.
`java.lang.String` | `getViewIdByConvention(java.lang.String viewStateId)` Get the default id of the view to render in the provided view state by convention.

Method Detail

### createViewFactory

    ViewFactory createViewFactory(Expression viewId,
                                  ExpressionParser expressionParser,
                                  ConversionService conversionService,
                                  BinderConfiguration binderConfiguration,
                                  org.springframework.validation.Validator validator)

  Create a view factory capable of creating `View` objects that can render the view template with the provided identifier.

  Parameters:
    `viewId` - an expression that resolves the id of the view to render
    `expressionParser` - an optional expression parser to use to resolve view expressions
    `conversionService` - an optional conversion service to use to format text values
    `binderConfiguration` - information on how the rendered view binds to a model that provides its data
    `validator` - a global validator to invoke
  Returns:
    the view factory

### getViewIdByConvention

    java.lang.String getViewIdByConvention(java.lang.String viewStateId)

  Get the default id of the view to render in the provided view state by convention.

  Parameters:
    `viewStateId` - the view state id
  Returns:
    the default view id

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD